# PetscErrorIsCatchable

Returns if a PetscErrorCode can be caught with a PetscExceptionTry1() or PetscExceptionPush()

### Synopsis

    #include "petsc.h"
    PetscTruth PETSC_DLLEXPORT PetscErrorIsCatchable(PetscErrorCode err)

### Input Parameters

err -error code

### Notes

PETSc must not be configured using the option --with-errorchecking=0 for this to work

### See Also

PetscExceptionTry1(), PetscExceptionCaught(), PetscExceptionPush(), PetscExceptionPop(), PetscErrorSetCatchable()

Level:advanced
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages